% This function is used to plot the nonzero structure of a matrix
%
% count=nonstruc(a);
%
% programmer: C. Vuik, TU Delft, The Netherlands
% e-mail    : c.vuik@tudelft.nl
% date      : 02-02-2023
% course    : Computational Fluid Dynamics II
%             a PhD course from the JM Burgerscentrum
%

function count=nonstruc(a)
n = size(a);
m = n(1);
count = m;
for i = 1: m
   for j = 1:m
      if abs(a(i,j)) > 0
         struc(i,j) = 1;
      end
   end
end
mesh(struc)
